summaryrefslogtreecommitdiff
path: root/dev-python/yara-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-09 19:48:15 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-09 19:48:15 +0000
commit5c135724c546218a6bc28195b8d0c991a3dfb38b (patch)
tree004edad54c159086502a5fa919752441d145d262 /dev-python/yara-python
parent4fefe95fa32b71d711353ab37cbb7e2f8a002d71 (diff)
downloadbaldeagleos-repo-5c135724c546218a6bc28195b8d0c991a3dfb38b.tar.gz
baldeagleos-repo-5c135724c546218a6bc28195b8d0c991a3dfb38b.tar.xz
baldeagleos-repo-5c135724c546218a6bc28195b8d0c991a3dfb38b.zip
Adding metadata
Diffstat (limited to 'dev-python/yara-python')
-rw-r--r--dev-python/yara-python/Manifest1
-rw-r--r--dev-python/yara-python/yara-python-4.2.0-r2.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-python/yara-python/Manifest b/dev-python/yara-python/Manifest
index f7f693916484..ddeb05c57a8b 100644
--- a/dev-python/yara-python/Manifest
+++ b/dev-python/yara-python/Manifest
@@ -1 +1,2 @@
+DIST yara-python-4.2.0.gh.tar.gz 34459 BLAKE2B fce460385eaa75dd1779fe49c7937ff36d7604433deb310b6fe9e66af9ea521952f92bee61829372cf19c7efee170329609530f1f9e863991720e4887c3c1349 SHA512 ba08d709fc51679ec9fe36165e0864b79fc241f85c681bf59823fe7bb0e34e928cded050ff296147eb5bcb837485f39949aa93425a0eb9ca8b3730e60fac93f4
DIST yara-python-4.2.0.tar.gz 34459 BLAKE2B fce460385eaa75dd1779fe49c7937ff36d7604433deb310b6fe9e66af9ea521952f92bee61829372cf19c7efee170329609530f1f9e863991720e4887c3c1349 SHA512 ba08d709fc51679ec9fe36165e0864b79fc241f85c681bf59823fe7bb0e34e928cded050ff296147eb5bcb837485f39949aa93425a0eb9ca8b3730e60fac93f4
diff --git a/dev-python/yara-python/yara-python-4.2.0-r2.ebuild b/dev-python/yara-python/yara-python-4.2.0-r2.ebuild
new file mode 100644
index 000000000000..54b0087612b6
--- /dev/null
+++ b/dev-python/yara-python/yara-python-4.2.0-r2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python interface for a malware identification and classification tool"
+HOMEPAGE="https://github.com/VirusTotal/yara-python"
+SRC_URI="https://github.com/virustotal/yara-python/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="${PYTHON_DEPS}
+ =app-forensics/yara-$(ver_cut 1-2)*"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+python_configure_all() {
+ cat >> setup.cfg <<-EOF
+ [build_ext]
+ dynamic-linking = True
+ EOF
+}
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}